/*
ORbit16
main

Blinking led demo.
Led L2 will flash 250mS on and 250mS off
using delays

Please do not redistribute this file without permission

ORbit16 by Bernardo Giovanni
http://www.orbit16.com
http://www.settorezero.com
gianni@settorezero.com
settorezero@gmail.com
*/

/*
Header file for PIC24F series, the compiler will load
the right header file for the ORbit16
*/
#include <p24Fxxxx.h>

/*
Config word is not required by ORbit16 programs since
is already burned with Bootloader.
*/
//#include "config_word.h"

/*
FCY is the frequency of an instruction cycle.
On 16-bits PICmicros FCY=FOSC/2.
Since ORbit16 runs at 32MHz, FCY will be 16MHz
The FCY value is required by functions included in libpic30.h
*/
#define FCY 16000000UL

/*
libpic30.h contains delays routines
*/
#include <libpic30.h> 

/*
my settings
*/
#include "settings.h"

// On 16-bits PICmicros you must define the main as 'int', not void!
int main (void)
	{
	Settings();
	int a=250;
	while (1) 
		{ 
		LED=1; // turns led on
		__delay_ms(a); // for 'a' milliseconds
		LED=0; // turns led off
		__delay_ms(a); // for 'a' milliseconds
		} // \while
	} // \main		
