/*
ORbit16
Settings

Please do not redistribute this file without permission

ORbit16 by Bernardo Giovanni
http://www.orbit16.com
http://www.settorezero.com
gianni@settorezero.com
settorezero@gmail.com
*/

#define LED 	_LATB5	// this is the led L2 on ORbit16 board
#define BUTTON	_RB7	// this is the switch SW2 on ORbit16 board

void OscillatorInit(void)
	{
	// CLKDIVbits
	_ROI=0; // interrupt have no effect on DOZEN bit
	_DOZE=3; // CPU Peripheral Clock Ratio Select bits
	_DOZEN=0; // CPU Peripheral Clock Ratio Set to 1:1 (_DOZE has no effect)
	_RCDIV=0; // Internal Fast RC Oscillator Postscaler bits (8MHz)
	_PLLEN=1; // 96MHZ PLL enabled
	_CPDIV0=0; // System clock=32MHz
	_CPDIV1=0;
	RCONbits.SWDTEN=0;	// Disable Watch Dog Timer
	while (OSCCONbits.COSC != 0b011) {}; // waiting for clock switch to occur	
	while(OSCCONbits.LOCK!=1) {}; // waiting for PLL to lock
	}
	
void Settings(void)
	{
	LATA = 0x0000; 
	LATB = 0x0000;
	// All unused ports to inputs
	TRISA = 0b1111111111111111;
	// B5 output -> Led L2 (LED)
	// B7 input  -> Button SW2 (BUTTON)
	TRISB = 0b1111111111011111;
	AD1PCFG = 0x01FFF; // All ports as digital, all voltage reference disabled
	OscillatorInit();
	}
	
